Skip to main content
GET
/
v1
/
products
/
classification_status
Get Product Classification Status
curl --request GET \
  --url https://api.trykintsugi.com/v1/products/classification_status \
  --header 'X-API-KEY: <api-key>' \
  --header 'x-organization-id: <x-organization-id>'
{
  "can_classify": true,
  "total_products": 123,
  "has_pending_products": true,
  "min_products": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Headers

x-organization-id
string | null
required

The unique identifier for the organization making the request

Query Parameters

min_products
integer
default:20

Minimum number of products required for classification to be enabled

Required range: x >= 0

Response

Successful Response

Response model for product classification status.

can_classify
boolean
required

Whether bulk classification can be run for the organization

total_products
integer
required

Total number of products in the organization

has_pending_products
boolean
required

Whether the organization has any products in pending status

min_products
integer
required

Minimum number of products required for classification to be enabled